PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
PURLLegacyScheme Class Reference

`#include <url.h>`

Inheritance diagram for PURLLegacyScheme:
[legend]
Collaboration diagram for PURLLegacyScheme:
[legend]

## Public Member Functions
| PURLLegacyScheme (bool user=false, bool pass=false, bool host=false, bool def=false, bool defhost=false, bool query=false, bool params=false, bool frags=false, bool path=false, bool rel=false, WORD port=0)
bool | Parse (const char *cstr, PURL &url) const
PString | AsString (PURL::UrlFormat fmt, const PURL &url) const
virtual WORD | GetDefaultPort () const

## Public Attributes
bool | hasUsername
bool | hasPassword
bool | hasHostPort
bool | defaultToUserIfNoAt
bool | defaultHostToLocal
bool | hasQuery
bool | hasParameters
bool | hasFragments
bool | hasPath
bool | relativeImpliesScheme
WORD | defaultPort

## Additional Inherited Members
Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static __inline const PObject * | PTraceObjectInstance (const char *)
static __inline const PObject * | PTraceObjectInstance (const PObject *obj)
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...
Protected Attributes inherited from PObject
unsigned | m_traceContextIdentifier
Friends inherited from PObject

## Constructor & Destructor Documentation

PURLLegacyScheme::PURLLegacyScheme | ( | bool | user = `false`,
|  | bool | pass = `false`,
|  | bool | host = `false`,
|  | bool | def = `false`,
|  | bool | defhost = `false`,
|  | bool | query = `false`,
|  | bool | params = `false`,
|  | bool | frags = `false`,
|  | bool | path = `false`,
|  | bool | rel = `false`,
|  | WORD | port = `0`
| ) |  |
| inline

## Member Function Documentation

PString PURLLegacyScheme::AsString | ( | PURL::UrlFormat | fmt,
|  | const PURL & | url
| ) |  | const
| inline virtual

Implements PURLScheme.

References PURL::LegacyAsString().

virtual WORD PURLLegacyScheme::GetDefaultPort | ( |  | ) | const
| inline virtual

Reimplemented from PURLScheme.

References defaultPort.

bool PURLLegacyScheme::Parse | ( | const char * | cstr,
|  | PURL & | url
| ) |  | const
| inline virtual

Implements PURLScheme.

References PURL::LegacyParse().

## Member Data Documentation

bool PURLLegacyScheme::defaultHostToLocal

WORD PURLLegacyScheme::defaultPort

Referenced by GetDefaultPort().

bool PURLLegacyScheme::defaultToUserIfNoAt

bool PURLLegacyScheme::hasFragments

bool PURLLegacyScheme::hasHostPort

bool PURLLegacyScheme::hasParameters

bool PURLLegacyScheme::hasPassword

bool PURLLegacyScheme::hasPath

bool PURLLegacyScheme::hasQuery

bool PURLLegacyScheme::hasUsername

bool PURLLegacyScheme::relativeImpliesScheme

The documentation for this class was generated from the following file:

- url.h